{ pkgs, lib, ... }:
with lib;
with lib.metacfg;
{
  imports = [ ./hardware-configuration.nix ];

  metacfg = {
    base.enable = true;
    gui.enable = true;
    nix-ld.enable = true;
    nix.enable = true;
    podman.enable = true;
    secureboot.enable = true;
    user.extraGroups = [ "docker" ];
  };

  virtualisation = {
    docker.enable = true;
    libvirtd.enable = true;
    podman.dockerCompat = false;
  };

  system.autoUpgrade = {
    enable = true;
    operation = "boot";
    allowReboot = false;
    flake = "git+https://git.hoyer.xyz/harald/nixcfg.git?ref=refs/heads/b24.05";
  };

  system.stateVersion = "23.11";
}
